/**
 * Contains a factory methods to create objects for the Maps Exercises homework.
 * @author *** YOUR NAME HERE ***
 */
public class MapFactory {

    /** Creates IMap objects for use in the application. */
    public static IMap createMap() {
        return new JavaMap();
    }

    /** Creates IHashFunction objects for use in hash tables. */
    public static IHashFunction createHashFunction(int N) {
        return new DivisionMethodHashFunction(N);
    }
    
    /** Adds ACraneStrategy objects to the given application. */
    public static void addStrategies(WarehouseApplication anApp) {
        anApp.addStrategy(new RandomStrategy());
        anApp.addStrategy(new CenterStrategy());
        anApp.addStrategy(new RowsStrategy());
    }
}